Bug 17006 - <track> Setting track language & kind when the information is in a manifest
<track> Setting track language & kind when the information is in a manifest
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: Media Source Extensions
unspecified
All All
: P1 normal
: ---
Assigned To: Aaron Colwell (c)
HTML WG Bugzilla archive list
tpac2012
:
Depends on:
Blocks: 20253
  Show dependency treegraph
 
Reported: 2012-05-08 21:25 UTC by Aaron Colwell (c)
Modified: 2013-01-15 22:24 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Colwell (c) 2012-05-08 21:25:02 UTC
Adaptive streaming specs like MPEG-DASH allow language & kind information to be specified in the manifest instead of only in the initialization segments. We'd like to be able to reflect this information in AudioTrack, VideoTrack, & TextTrack objects. The web application needs a mechanism to associate this information with the appropriate tracks.

Proposed solutions:
1. Remove the readonly modifier from the kind & language attributes on Audio|Video|TextTrack and allow assignment.
2. Create a Media Source specific method on HTMLMediaElement like the following:
void sourceSetTrackInfo(in DOMString trackId, in DOMString kind, in DOMString language)
Comment 1 Bob Lund 2012-05-11 19:54:44 UTC
(In reply to comment #0)
> Adaptive streaming specs like MPEG-DASH allow language & kind information to be
> specified in the manifest instead of only in the initialization segments. We'd
> like to be able to reflect this information in AudioTrack, VideoTrack, &
> TextTrack objects. The web application needs a mechanism to associate this
> information with the appropriate tracks.

This also applies if the DASH manifest is processed by UA. In this case, the UA can be expected to map well-known DASH <role> values to @kind. But DASH also allows extensions to <role> values. In this case, it would be useful for the web application to be able to set Video, Audio and Text @kind.

> 
> Proposed solutions:
> 1. Remove the readonly modifier from the kind & language attributes on
> Audio|Video|TextTrack and allow assignment.
> 2. Create a Media Source specific method on HTMLMediaElement like the
> following:
> void sourceSetTrackInfo(in DOMString trackId, in DOMString kind, in DOMString
> language)
Comment 2 Aaron Colwell (c) 2013-01-04 19:20:04 UTC
Changes committed
http://dvcs.w3.org/hg/html-media/rev/52a85235137b
Comment 3 Aaron Colwell (c) 2013-01-15 19:25:03 UTC
Reopening to replace setTrackInfo() with writable attributes proposed in 
http://lists.w3.org/Archives/Public/public-html-media/2013Jan/0007.html
Comment 4 Aaron Colwell (c) 2013-01-15 22:24:31 UTC
Changes committed.
https://dvcs.w3.org/hg/html-media/rev/fd2a58eec443